package dev.kske.chess;

import java.awt.BorderLayout;
import java.awt.EventQueue;

import javax.swing.JFrame;


/**
 * Project: <strong>Chess</strong><br>
 * File: <strong>Chess.java</strong><br>
 * Created: <strong>01.07.2019</strong><br>
 * Author: <strong>Kai S. K. Engelbart</strong>
 */
public class Chess {

	private JFrame mframe;

	/**
	 * Launch the application.
	 */
	public static void main(String[] args) {
		EventQueue.invokeLater(new Runnable() {

			public void run() {
				try {
					Chess window = new Chess();
					window.mframe.setVisible(true);
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
		});
	}

	/**
	 * Create the application.
	 */
	public Chess() {
		initialize();
	}

	/**
	 * Initialize the contents of the frame.
	 */
	private void initialize() {
		mframe = new JFrame();
		mframe.setBounds(100, 100, 740, 740);
		mframe.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);

		BoardPanel boardPanel = new BoardPanel(new Board());
		boardPanel.setLayout(null);
		mframe.getContentPane().add(boardPanel, BorderLayout.CENTER);
	}

}
